region_header:
  namespace: "Organisms/TM - Regions"
  use: "@organisms/tm-regions/region-header/region-header.twig"
  label: Header
  description: The Header region.
  visibility: storybook

region_announcements:
  namespace: "Organisms/TM - Regions"
  use: "@organisms/tm-regions/region-announcements/region-announcements.twig"
  label: Announcements
  description: The Announcements region.
  visibility: storybook

region_banner:
  namespace: "Organisms/TM - Regions"
  use: "@organisms/tm-regions/region-banner/region-banner.twig"
  label: Banner
  description: The Banner region.
  visibility: storybook
  settings:
    type:
      type: select
      label: Banner type
      preview: banner_rnd_image
      options:
        banner_rnd_image: Random image
        banner_single_image: Fixed image
        banner_carousel_simple: Carousel simple
        banner_carousel_complex: Carousel complex
        card_block: Card block

region_help:
  namespace: "Organisms/TM - Regions"
  use: "@organisms/tm-regions/region-help/region-help.twig"
  label: Help
  description: The Help region.
  visibility: storybook

region_highlighted:
  namespace: "Organisms/TM - Regions"
  use: "@organisms/tm-regions/region-highlighted/region-highlighted.twig"
  label: Highlighted
  description: The Highlighted region.
  visibility: storybook

region_breadcrumb:
  namespace: "Organisms/TM - Regions"
  use: "@organisms/tm-regions/region-breadcrumb/region-breadcrumb.twig"
  label: Breadcrumb
  description: The Breadcrumb region.
  visibility: storybook

region_content:
  namespace: "Organisms/TM - Regions"
  use: "@organisms/tm-regions/region-content/region-content.twig"
  label: Content
  description: The Content region.
  visibility: storybook

region_below_content:
  namespace: "Organisms/TM - Regions"
  use: "@organisms/tm-regions/region-below-content/region-below-content.twig"
  label: Below Content
  description: The Below Content region.
  visibility: storybook

region_below_content_secondary:
  namespace: "Organisms/TM - Regions"
  use: "@organisms/tm-regions/region-below-content-secondary/region-below-content-secondary.twig"
  label: Below Content 2ndry
  description: The Below Content Secondary region.
  visibility: storybook

region_sidebar_left:
  namespace: "Organisms/TM - Regions"
  use: "@organisms/tm-regions/region-sidebar-left/region-sidebar-left.twig"
  label: Sidebar Left
  description: The Sidebar Left region.
  visibility: storybook

region_sidebar_right:
  namespace: "Organisms/TM - Regions"
  use: "@organisms/tm-regions/region-sidebar-right/region-sidebar-right.twig"
  label: Sidebar Right
  description: The Sidebar Right region.
  visibility: storybook

region_footer_top:
  namespace: "Organisms/TM - Regions"
  use: "@organisms/tm-regions/region-footer-top/region-footer-top.twig"
  label: Footer Top
  description: The Footer top region.
  visibility: storybook

region_footer_bottom:
  namespace: "Organisms/TM - Regions"
  use: "@organisms/tm-regions/region-footer-bottom/region-footer-bottom.twig"
  label: Footer Bottom
  description: The Footer bottom region.
  visibility: storybook

  fields:
    logos:
      type: object
      label: Logos
      preview:
        - '/images/footer-logos-1.svg'
        - '/images/footer-logos-2.png'

region_footer_final:
  namespace: "Organisms/TM - Regions"
  use: "@organisms/tm-regions/region-footer-final/region-footer-final.twig"
  label: Footer Final
  description: The Footer final region.
  visibility: storybook

region_modal:
  namespace: "Organisms/TM - Regions"
  use: "@organisms/tm-regions/region-modal/region-modal.twig"
  label: Modal
  description: The Modal region (popup).
  visibility: storybook
  envs:
    - wmr

region_offcanvas:
  namespace: "Organisms/TM - Regions"
  use: "@organisms/tm-regions/region-offcanvas/region-offcanvas.twig"
  label: Offcanvas
  description: The Offcanvas region (sidebar).
  visibility: storybook
